Bug 24523 - Fix opac-password-recovery markup mistake
Summary: Fix opac-password-recovery markup mistake
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-27 22:04 UTC by Lucas Gass
Modified: 2020-02-14 20:50 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08


Attachments
Bug 24523: add missing </p> (1.33 KB, patch)
2020-01-27 22:10 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24523: add missing </p> (1.39 KB, patch)
2020-01-27 23:21 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 24523: add missing </p> (1.50 KB, patch)
2020-01-31 07:22 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-01-27 22:04:04 UTC
ON the opac-password-recovery page the paragraph "To reset your password, enter your login or your email address." is missing a closing </p>.

This is trivial but it does make it nearly impossible to update or hide that element with jQuery as it will effect the entire form below it.
Comment 1 Lucas Gass 2020-01-27 22:10:14 UTC
Created attachment 98007 [details] [review]
Bug 24523: add missing </p>

TEST PLAN: 
1. Add this jQuery to OPACUserJS ( $('p:contains("To reset your password, enter your login or your email address.")').text('I want to change this text'); )
2. Reload the opac-password-recovery page.   
3. The text is changed but the rest of the form is now gone   
4. Apply patch and reload the opac-password-recovery page.
5. Reload the page and the text should be changed but the form should be there!
Comment 2 PTFS Europe Sandboxes 2020-01-27 23:21:43 UTC
Created attachment 98008 [details] [review]
Bug 24523: add missing </p>

Signed-off-by: David Roberts <david.roberts@ptfs-europe.com>
Comment 3 David Roberts 2020-01-27 23:22:37 UTC
Works OK as per test, as long as the OpacResetPassword system preference is also enabled.
Comment 4 Katrin Fischer 2020-01-31 07:22:47 UTC
Created attachment 98209 [details] [review]
Bug 24523: add missing </p>

Signed-off-by: David Roberts <david.roberts@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=24532
Comment 5 Martin Renvoize 2020-01-31 13:51:28 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-02-10 23:52:43 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 7 Lucas Gass 2020-02-14 20:50:38 UTC
backported to 19.05.x for 19.05.08